//
//  Emoney.swift
//  Emoney Info
//
//  Created by Wira Irawan on 26/07/24.
//

import Foundation

class Emoney {
    private var balance: Int = 0
    private var cardNumber: String?
    private var cardType: String?
    private var riwayatList: [RiwayatCard]?
    private var tampilRiwayat: Bool = false
    private var cardLabel: String?
   
   func getBalance() -> Int {
       return self.balance
   }

   func getCardNumber() -> String {
       return self.cardNumber ?? ""
   }

   func getCardType() -> String {
       return self.cardType ?? ""
   }

   func getRiwayatList() -> [RiwayatCard] {
       return self.riwayatList ?? []
   }

   func isTampilRiwayat() -> Bool {
       return self.tampilRiwayat
   }

   func setBalance(_ j: Int) {
       self.balance = j
   }

   func setCardNumber(_ str: String) {
       self.cardNumber = str
   }

   func setCardType(_ str: String) {
       self.cardType = str
   }

   func setRiwayatList(_ list: [RiwayatCard]) {
       self.riwayatList = list
   }

   func setTampilRiwayat(_ z: Bool) {
       self.tampilRiwayat = z
   }
    
   func setCardLabel(_ str: String) {
       self.cardLabel = str
   }

   func getCardLabel() -> String {
       return self.cardLabel ?? ""
   }
        
}
